# Docker for Visual Studio Code: GitLab Registries

## PLEASE NOTE

This repository was cloned from https://github.com/alexyaang/vscode-gitlab-registries.

We're looking into rolling this into the [GitLab Workflow Extension](https://gitlab.com/gitlab-org/gitlab-vscode-extension). Please see [this issue](https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/issues/1223).

## Overview

This extension provides an implementation of GitLab container registries for the Docker extension in Visual Studio Code. It also serves as a sample for any third party registry providers who would like
to contribute a registry provider to the Docker extension registries view.

## How to Run

1. Open this repository inside Visual Studio Code.
2. Download the [Docker extension](https://marketplace.visualstudio.com/items?itemName=ms-azuretools.vscode-docker).
3. Run `npm install`.
4. Press `f5` or follow instructions [here](https://code.visualstudio.com/api/get-started/your-first-extension#debugging-the-extension) to initiate a debug session.
5. Click on the Docker extension inside the debug session to activate
6. Click on `Connect Registry..` in the registries view

   <img src="https://github.com/alexyaang/vscode-gitlab-registries/assets/59073590/80f4db5d-86e2-4fbd-bd0c-9ebbc423ac13" width=30% height=30%>

7. Choose GitLab
